# Pour le docker-compose de base

MYSQL_HOST=db
MYSQL_ROOT_PASSWORD=123456
MYSQL_PASSWORD=user
MYSQL_USER=user
MYSQL_DATABASE=pastell
MYSQL_DATADIR=/data/pastell/mysql

WORKSPACE_VOLUME=/data/pastell/workspace
PASTELL_EXTENSION_PATH=/data/pastell/extensions
PASTELL_SESSION=/data/pastell/sessions
PASTELL_SSL_CERTIFICAT=/data/pastell/certificate
LOG_VOLUME=/data/pastell/log
PASTELL_GLANEUR=/data/pastell/glaneur/

SFTP_PORT=2222
SFTP_USER=sftp
SFTP_PASSWORD=sftp

PLATEFORME_MAIL=test@libriciel.invalid

# Pour le docker-compose.override utilisé pour le développement
# Pour le développement, il est préférable de passer par l'interface externe du la machine hôte
# Sur MacOS, l'utilisation d'un docker MySQL pour PHPUnit est inexploitable (performance/10)
# pour trouver son adresse IP :
#
# Sur MacOS, le docker0 n'a pas d'adresse externe hors l'adresse internet de la machine (!)
# il faut donc en créer une : sudo ifconfig lo0 alias 192.168.46.49
# Pour trouver l'adresse :
# echo $(ifconfig | grep -E "([0-9]{1,3}\.){3}[0-9]{1,3}" | grep -v 127.0.0.1 | awk '{ print $2 }' | cut -f2 -d: | head -n1)


MYSQL_HOST_TEST=db_test
MYSQL_PASSWORD_TEST=user
MYSQL_USER_TEST=user
MYSQL_DATABASE_TEST=pastell_test
MYSQL_DATADIR_TEST=/data/pastell/mysql-test

PASTELL_SITE_BASE=https://127.0.0.1:8443/
WEBSEC_BASE=https://127.0.0.1:8443/mailsec/


# Pour le docker-compose.staging utilisé pour déployer la branche develop sur un serveur

LETSENCRYPT_EMAIL=test@libriciel.invalid
LETSENCRYPT_DOMAIN=pastell.libriciel.net
LETSENCRYPT_DATADIR=/data/pastell/letsencrypt

# Niveau de log : DEBUG, INFO, NOTICE, WARNING, ERROR, CRITICAL, ALERT, EMERGENCY
LOG_LEVEL=DEBUG

# Token d'accès personnel à l'API github (permet de télécharger les composant via composer)
# A générer sur https://github.com/settings/tokens une fois connecté à github (aucun droit spéciaux à cocher)
GITHUB_API_TOKEN=aaaaaaaaaaaaaaaaaaaa

#LIST_PACK
PACK_CHORUS_PRO=true
PACK_MARCHE=true
PACK_URBANISME=true
PACK_RH=true
PACK_TEST=true
PACK_RECUP_PARAPHEUR_CORBEILLE_CONNECTOR=true
PACK_RECUP_FIN_PARAPHEUR=true

# Exemple d'ajout d'une fonctionnalité activable
TOGGLE_TestingFeature=true

PASSWORD_MIN_ENTROPY=80